Changeset 2719

Show
Ignore:
Timestamp:
12/23/17 02:42:59 (7 months ago)
Author:
jwoithe
Message:

README: update for version 2.4.0.

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • trunk/libffado/README

    r2672 r2719  
    1 FFADO v2.2 
     1FFADO v2.4 
    22========== 
    33 
     
    115115------------ 
    116116 
     117FFADO uses the scons build system, which must be available on the system 
     118when building FFADO.  It is not a runtime dependency.  Scons 2 is currently 
     119used to build FFADO.  Work continues on making FFADO's scons scripts 
     120compatible with both scons 2 and 3.  Testing and bug reports when using 
     121scons 3 are welcomed. 
     122 
    117123To build libffado you need several libraries. For all libraries a 
    118124version is provided which is a 'known good' version.  The first few 
     
    135141While jack1 0.109.12 will work, jack1 >= 0.122.0 or jack2 >= 1.9.9 are 
    136142recommended if support for jack's setbufsize functionality is desired.  
    137 [NOTE: at the time of writing, jack1 0.122.0 and jack2 1.9.9 are the  
    138 development (SVN) versions.] 
    139143 
    140144Optionally, but recommended is that you install qjackctl: 
     
    238242------------------- 
    239243 
    240 First of all, check whether your problem is in fact a problem, and whether 
    241 it is a FFADO problem.  The magic tool for this is google. 
     244First of all, check whether your problem is a known issue, and whether 
     245it is a FFADO problem.  Use your chosen web search engine for this. 
     246 
     247Many distributor kernels now include the alternative ALSA audio streaming 
     248drivers for selected firewire audio interfaces (snd-bebob, snd-dice, etc).  
     249These are developed independently of FFADO.  If these kernel modules are 
     250loaded then FFADO's streaming engine cannot be used: using jackd's 
     251"firewire" driver will fail because the kernel drivers have ownership of the 
     252interface.  To continue to use FFADO's streaming system, the applicable 
     253snd-* module must be unloaded from the kernel and prevented from loading on 
     254boot.  Use "rmmod" to remove the module from the running system, and 
     255blacklist the relevant snd-* module in a file under /lib/modprobe.d/ (or 
     256your distribution's equivalent). 
    242257 
    243258When seeking support from the developers keep in mind that none of the FFADO 
     
    248263 * http://www.ffado.org/ 
    249264 * http://subversion.ffado.org/ 
    250  * http://www.google.com/ 
     265 * your chosen search engine 
    251266   (the terms "ffado-devel" and "ffado-user" work well) 
    252267 
     
    280295 
    281296The distribution contains a tool to gather some information about your 
    282 system. you can run it as follows: 
     297system. When FFADO is installed on the system it can be run directly: 
     298 
     299    $ ffado-diag > ffado-diag.log 
     300 
     301It is also possible to run it from the source tree: 
    283302 
    284303    $ cd support/tools